@charset "utf-8";

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

*, *::before, *::after {
    box-sizing: inherit;
}

:root {
    --body-background-color: hsl(0, 0%, 27%);
    --wrapper-background-color: hsl(0, 0%, 21%);
    --nav-color: hsl(0, 100%, 72%);
    --footer-link-color: hsl(197, 100%, 70%);
    --font-color: hsl(0, 0%, 89%);
    --footer-link-hover: hsl(276, 100%, 77%);
    --footer-link-visited: hsl(32, 100%, 75%);
}

.return-button {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    margin-left: 0.5rem;
    padding-left: 0.8rem;
    background: rgb(22, 22, 22);
    border-radius: 4px;
    transition-duration: 300ms;
    width: 226px;
    box-shadow: 2px 2px black;
    font-family: sans-serif;
}

.return-button:hover {
    background: rgb(45, 45, 45);;
    transition-duration: 300ms;
}

.return-button a {
    color: white !important;
    text-decoration: none;
}

.return-button p {
    margin: 0;
    padding-top: 0.8rem;
    padding-bottom: 0.8rem;
}

body {
    margin: 0;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    justify-items: center;
    background: var(--body-background-color);
}

.wrapper {
    width: 100%;
    padding: 0 10px;
    background: var(--wrapper-background-color);
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    max-width: 1024px;
}

header {
    grid-column: span 2;
}

h1 {
    text-align: center;
    font-family: "JetBrains Mono";
    padding-top: 2rem;
    font-size: 2.5rem;
}

h2 {
    font-family: "JetBrains Mono";
}

p {
    font-size: 1.1rem;
    line-height: 1.25rem;
}

h3 {
    font-size: 1.3rem;
}

a {
    font-size: 1.1rem;
}



nav {
    display: flex;
    width: 100%;
    grid-column: span 2;
    position: fixed;
    z-index: 3;
}

.nav-main-menu-toggle {
    cursor: pointer;
    background: rgb(167, 255, 137);
    border: solid 1px black;
}

.nav-main-menu-toggle svg * {
    transform-box: fill-box;
}

.nav-main-menu-toggle rect {
    transition: all 1.75s cubic-bezier(0.075, 0.82, 0.165, 1);
    transform-origin: center;
}

.nav-main-menu-toggle[aria-expanded="true"] rect{
    transform: rotate(0.5turn);
    fill: black;
}

#nav-main-menu {
    transform: translateX(-150%);
    transition: all 1s ease-in-out;
    position: absolute;
    display: flex;
    list-style: none;
    flex-wrap: wrap;
    align-items: stretch;
    align-content: center;
    flex-direction: column;
    padding-left: 0;
    flex: 1 1 auto;
    margin-right: auto;
    visibility: hidden;
    margin-top: 3.45rem;
    width: 80%;
}

#nav-main-menu:not([hidden]) {
    visibility: visible;
    transform: translateX(0);
    transition: all 1s ease-in-out;
}

#nav-main-menu li {
    display: flex;
    width: 100%;
    list-style: none;
    flex: 1 1 auto;
    border-top: solid var(--nav-color) 4px;
    border-left: solid var(--nav-color) 4px;
    border-right: solid var(--nav-color) 4px;
    justify-content: center;
    padding-left: 4rem;
    padding-right: 4rem;
    background: var(--nav-color);
}

#nav-main-menu li a {
    text-align: center;
    flex: 1 1 auto;
    text-decoration: none;
    color: black;
    font-size: 1.2rem;
    font-family: "Comfortaa";
    padding: 0.75rem;
    transition-duration: 800ms;
}

#nav-main-menu li:hover {
    border-top: solid var(--nav-color) 4px;
    border-left: solid var(--font-color) 4px;
    border-right: solid var(--font-color) 4px;
    transition-duration: 800ms;
}

.headroom {
    will-change: transform;
    transition: all .5s linear;

}

.headroom--pinned {
    transform: translateY(0%);
    opacity: 1;
}

.headroom--unpinned {
    transform: translateY(-100%);
    opacity: 0;
}

main {
    grid-column: span 2;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 0.2rem;
    column-gap: 0.5rem;
}

main h2 {
    font-family: "JetBrains Mono";
    grid-column: span 2;
    font-size: 1.5rem;
}

main h3 {
    grid-column: span 2;
    font-family: "JetBrains Mono";
    color: var(--font-color);
    text-decoration: none;
    padding-top: 1.2rem;
    font-size: 1.3rem;
}

main p {
    grid-column: span 2;
    font-family: "Comfortaa";
}

main img {
    grid-column: span 2;
    width: 100%;
}

main a {
    grid-column: span 2;
    text-decoration: none;
    font-family: "Comfortaa";
    margin-top: 1rem;
    margin-right: 1rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    text-indent: 0.5rem;
    text-align: left;
    background: hsla(0, 0%, 100%, 0.505);
    border: solid hsla(0, 0%, 100%, 0.505) 2px;
    border-radius: 0.5rem;
    color: black;
    transition-duration: 400ms;
}

.fancybox-image-design, .fancybox-image-digital, .fancybox-image-photo, .fancybox-image-webdev {
    margin-top: 0;
    margin-right: 0;
    padding-top: 0;
    padding-bottom: 0;
    text-indent: 0;
    text-align: left;
    background: none;
    border-radius: 0;
    border: none;
}

.fancybox-image-design:hover, .fancybox-image-digital:hover, .fancybox-image-photo:hover, .fancybox-image-webdev:hover {
    background: none;
    border: none;
}

.design-program-link {
    grid-row: 4;
}

.photo-program-link {
    grid-row: 8;
}

main a:hover {
    background: hsl(0, 0%, 25%);
    color: white;
    transition-duration: 400ms;
    border: solid hsla(0, 0%, 100%, 0.505) 2px;
}

.main-content {
    padding-bottom: 1rem;
    border-bottom: solid white 2px;
}

.main-subcontent {
    grid-column: span 2;
}

.main-p-design {
    grid-row: 4;
}

.fancybox-image-design {
    grid-row: 5;
}

.main-a-design {
    grid-row: 6;
}

.main-p-photo {
    grid-row: 12;
}

.fancybox-image-photo {
    grid-row: 13;
}

.main-a-photo {
    grid-row: 14;
}

.about-heading {
    border-bottom: solid 1px white;
    padding-bottom: 0.4rem;
}

.main-about h3, .main-about p {
    max-width: 90ch;
    text-align: left;
}

#map {
    background: url(../css/images/map.webp) no-repeat center / cover;
    height: 400px;
    grid-column: span 2;
}

.span-1-4, .span-4-8, .span-8 {
    grid-column: span 2;
}

form ol {
    list-style: none;
}

form {
    display: grid;
}

input {
    line-height: 1.8rem;
    font-size: 0.9rem;
    display: block;
}

label {
    padding-bottom: 0.3rem;
}

.contact-heading {
    grid-column: span 2;
}

.grid-8 {
    grid-column: span 2;
    display: grid;
    padding-right: 0rem;
    padding-left: 0.5rem;
    gap: 20px;
}

li label {
    display: block;
}

form textarea, form input:not([type="checkbox"]):not([type="radio"]) {
    display: block;
    width: 100%;
    line-height: 2;
    padding: 0 0.5rem 0;
    z-index: 2;
    position: relative;
    font-family: "Comfortaa";
}

form input:valid + label, form textarea:valid + label {
    transform: translateY(0);
}

form input + label, form textarea + label {
    transform: translateY(-100%);
    transition: all 0.2s ease-in;
    z-index: 1;
    position: relative;
    background: lightgreen;
}

form:invalid li:last-child {
    background: rgb(255, 100, 100);
    color: black;
    transition-duration: 400ms;
}

form:valid li:last-child {
    background: rgb(199, 255, 179);
    color: black;
    transition-duration: 400ms;
}

label, input {
    font-family: "Comfortaa";
}

li label:last-child {
    color: black;
}

.span-5-7 {
    padding: 0.2rem;
    border-radius: 0.15rem;
    grid-column: 2;
}

.contact {
    grid-column: span 2;
}

aside {
    grid-column: span 2;
    border-left: none;
    padding-left: 0;
    font-family: sans-serif;
    gap: 0.2rem;
}

aside a{
    text-decoration: none;
    font-family: "Comfortaa";
    background: none;
    color: var(--font-color);
    transition-duration: 400ms;
    padding: 0.4rem;
    line-height: 1.9rem;
    text-align: center;
    font-weight: 600;
}

aside a:hover {
    color: black;
    background: hsla(0, 0%, 100%, 0.505);
}

aside h2 {
    font-family: "JetBrains Mono";
}

aside h3 {
    text-align: center;
    font-family: "JetBrains Mono";
}

hr {
    border: solid white 1px;
    max-width: 512px;
}

aside p {
    font-family: "Comfortaa";
}

.aside-p-boldtext {
    font-weight: 700;
}

.main-archive-content {
    grid-column: span 2;
    display: grid;
    grid-template-columns: repeat(8, 1fr);
}

.main-archive-content h3 {
    grid-column: span 8;
    text-align: center;
}

.main-archive-content a {
    text-align: center;
    grid-column: span 8;
}

footer {
    padding-top: 4rem;
    padding-bottom: 2rem;
    font-family: "JetBrains Mono";
    grid-column: span 2;
}

footer a {
    text-decoration: none;
    color: var(--footer-link-color);
    padding-right: 0.5rem;
    transition-duration: 300ms;
}

footer a:hover {
    color: var(--footer-link-hover);
    transition-duration: 300ms;
}

footer a:visited {
    color: var(--footer-link-visited);
    transition-duration: 300ms;
}

footer a:visited:hover {
    color: var(--footer-link-hover);
    transition-duration: 300ms;
}

.error-heading3 {
    grid-column: span 2;
}

.error-a {
    grid-column: span 2;
}

h1, h2, h3, p, a, label {
    color: var(--font-color);
}

.icon {
    display: inline-block;
    width: 2em;
    height: 2em;
    stroke-width: 0;
    stroke: currentColor;
    fill: currentColor;
    vertical-align: middle;
    padding-right: 0.5em;
    padding-bottom: 0.2em;
}

@media screen and (min-width: 768px) {
    .wrapper {
        grid-template-columns: repeat(12, 1fr);
        width: 94%;
    }

    h1 {
        padding-top: 1rem;
    }

    .nav-main-menu-toggle {
        display: none;
    }

    nav {
        position: static;
    }

    header, nav, footer {
        grid-column: span 12;
    }

    #nav-main-menu li:hover {
        border-top: solid var(--font-color) 4px;
        border-left: solid var(--nav-color) 4px;
        border-right: solid var(--nav-color) 4px;
    }

    main {
        grid-column: span 8;
        display: grid;
        grid-template-columns: repeat(8, 1fr);
    }

    main img {
        width: calc(90%);
        grid-column: span 4;
    }

    .main-header {
        grid-column: span 8;
    }
    
    .main-content {
        grid-column: span 8;
        padding-bottom: 1rem;
        border-bottom: solid white 2px;
    }
    
    .main-subcontent {
        grid-column: span 4;
    }

    .main-h3-design, .main-h3-digital, .main-h3-photo, .main-h3-webdev {
        grid-column: span 4;
    }

    .main-p-design, .main-p-digital, .main-p-photo, .main-p-webdev {
        grid-column: span 4;
        grid-row: auto;
    }

    .fancybox-image-design, .fancybox-image-digital, .fancybox-image-photo, .fancybox-image-webdev {
        grid-column: span 4;
        grid-row: auto;
    }

    .main-a-design, .main-a-digital, .main-a-photo, .main-a-webdev {
        grid-column: span 4;
        grid-row: auto;
    }

    .design-program-link, .digital-program-link, .photo-program-link, .webdev-program-link {
        grid-row: auto;
    }

    main a {
        grid-column: span 4;
        margin-bottom: 1rem;
    }

    main h3 {
        text-align: left;
        max-width: 20ch;
    }

    aside {
        grid-column: 9 / span 4;
        padding-left: 1.2rem;
    }

    aside h3 {
        text-align: left;
    }

    hr {
        border: solid white 1px;
        max-width: 512px;
    }

    #nav-main-menu {
        flex-wrap: nowrap;
        align-items: flex-start;
        align-content: flex-start;
        flex-direction: row;
        position: relative;
        visibility: visible;
        transform: translateX(0);
        transition: none;
        background: transparent;
        margin-top: 0;
    }

    #nav-main-menu li {
        width: calc((90vw * 0.25) - 10px);
        flex: 1 1 auto;
        padding-left: 12px;
        padding-right: 12px;
    }

    ul {
        width: 100%;
    }

    ol {
        padding-left: 0;
        padding-right: 1rem;
    }

    form {
        display: grid;
        gap: 20px;
    }

    form label {
        display: block;
        line-height: 1.5;
    }

    .contact {
        grid-column: span 8;
        gap: 20px;
    }

    .contact-heading {
        grid-column: span 4;
    }

    .form-info {
        font-size: 1.25rem;
    }

    ol li:last-child input{
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;
    }

    .grid-8 {
        display: grid;
        grid-column: span 8;
        gap: 20px;
    }

    .span-8 {
        grid-column: span 8;
    }

    .span-1-8 {
        grid-column: span 8;
    }

    .span-1-4 {
        grid-column: span 4;
    }

    .span-1-6 {
        grid-column: span 6;
    }

    .span-4-8 {
        grid-column: 5 / 9;
    }

    .span-6-8 {
        grid-column: 7 / 9;
    }

    .span-5-7 {
        grid-column: 6 / 8;
        padding: 0.2rem;
        border-radius: 0.15rem;
    }

    .span-3 {
        grid-column: span 3;
    }

    #map {
        background: url(/css/images/map.webp) no-repeat center / cover;
        height: 400px;
        grid-column: span 8;
    }

    .main-archive-content {
        grid-column: span 8;
    }

    .main-archive-content h3 {
        grid-column: span 8;
        text-align: left;
    }

    .main-archive-content a{
        grid-column: span 4;
    }

    footer a {
        padding-right: 1rem;
    }

    .error-heading3 {
        grid-column: span 8;
        text-align: center;
        max-width: 999ch;
    }

    .error-a {
        grid-column: span 3;
    }
}

@media screen and (min-width: 1025px) {
    main h3 {
        text-align: left;
        max-width: 999ch;
    }

    aside h3 {
        text-align: center;
    }
}